SplObjectStorage::offsetGet
SplObjectStorage::offsetUnset
SplObjectStorage
PHP Manual

# SplObjectStorage::offsetSet

(PHP 5 >= 5.3.0)

SplObjectStorage::offsetSet — Associates data to an object in the storage

### Description

public void SplObjectStorage::offsetSet ( object `$object` [, mixed `$data` = `NULL` ] )

Associate data to an object in the storage.

> Note:

> SplObjectStorage::offsetSet() is an alias of SplObjectStorage::attach().

### Parameters

`object`

  The object to associate data with.

`data`

  The data to associate with the object.

### Return Values

No value is returned.

### Examples

Example #1 SplObjectStorage::offsetSet() example

`<?php
$s = new SplObjectStorage;
$o1 = new StdClass;
$s->offsetSet($o1, "hello"); // Similar to $s[$o1] = "hello";
var_dump($s[$o1]);
?>`

The above example will output something similar to:

    string(5) "hello"

### See Also

- SplObjectStorage::attach() - Adds an object in the storage
- SplObjectStorage::offsetGet() - Returns the data associated with an object
- SplObjectStorage::offsetExists() - Checks whether an object exists in the storage
- SplObjectStorage::offsetUnset() - Removes an object from the storage

SplObjectStorage::offsetGet
SplObjectStorage::offsetUnset
SplObjectStorage
PHP Manual